Get comprehensive order detail
Retrieves an order with associated transactions, settlement data, and awarded points without sanitization.
GET
/orders/{orderId}/comprehensive
Retrieves an order with associated transactions, settlement data, and awarded points without sanitization.
Path Parameters
orderId
string
required
path
Unique order identifier
Example:
"5392f7a7-d472-4d6b-9848-bd07117fb82d"Responses
200
Comprehensive order retrieved successfully
application/jsonsuccess
boolean
REQUIRED
message
string
REQUIRED
data
object
REQUIRED
Full order detail including all associated transactions and points
order
unknown
REQUIRED
depositTxs
object[]
REQUIRED
Array of:
orderId
string (uuid)
REQUIRED
Associated order ID
chain
number
REQUIRED
Chain where transaction occurred
from
string | null
Sender address (can be null)
txHash
string
REQUIRED
Transaction hash
amount
string
REQUIRED
Transaction amount
createdAt
number
REQUIRED
Transaction timestamp
relayTxs
object[]
REQUIRED
Array of:
orderId
string (uuid)
REQUIRED
Associated order ID
chain
number
REQUIRED
Chain where relay occurred
txHash
string
REQUIRED
Relay transaction hash
status
string
REQUIRED
Relay transaction status
Enum:
pending, success, failure, refund, delayed, waitingcreatedAt
number
REQUIRED
Relay timestamp
executeTx
unknown
REQUIRED
refundTxs
object[]
REQUIRED
Array of:
orderId
string (uuid)
REQUIRED
Associated order ID
chain
number
REQUIRED
Chain where refund occurred
txHash
string
REQUIRED
Refund transaction hash
amount
string
REQUIRED
Refunded amount
status
string
REQUIRED
Refund status
Enum:
success, failurecreatedAt
number
REQUIRED
Refund timestamp
points
unknown
REQUIRED
statusCode
number
REQUIRED
400
Bad request
404
Order not found
curl -X GET 'https://mainnet.anyspend.com/orders/5392f7a7-d472-4d6b-9848-bd07117fb82d/comprehensive'
const response = await fetch('https://mainnet.anyspend.com/orders/5392f7a7-d472-4d6b-9848-bd07117fb82d/comprehensive', {
method: 'GET'
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://mainnet.anyspend.com/orders/5392f7a7-d472-4d6b-9848-bd07117fb82d/comprehensive')
print(response.json())
200
Response
{
"success": true,
"message": "Get comprehensive order detail successfully",
"data": {
"order": {
"id": "5392f7a7-d472-4d6b-9848-bd07117fb82d",
"recipientAddress": "0xb34facb90a200251318e8841c05102366f2158cf",
"globalAddress": "0xa640beaa78eeb64bb269f2baf8202b9a7316e123",
"srcChain": 8453,
"dstChain": 8453,
"srcTokenAddress": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"dstTokenAddress": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"srcAmount": "93354000",
"status": "executed",
"errorDetails": "<string>",
"createdAt": 1752505794679,
"expiredAt": 1752506694679,
"filledAt": 123,
"receivedDepositAt": 123,
"creatorAddress": "0xb34facb90a200251318e8841c05102366f2158cf",
"partnerId": "<string>",
"clientReferenceId": "<string>",
"onrampMetadata": {
"country": "US",
"vendor": "stripe-web2",
"paymentMethod": "",
"redirectUrl": "https://www.anyspend.com",
"stripeAmountInCents": 9900,
"ipAddress": "192.168.1.1",
"fingerprint": {
"requestId": {},
"visitorId": {}
}
},
"oneClickBuyUrl": "<string>",
"stripePaymentIntentId": "pi_3Rko0sJnoDg53PsP0PDLsHkR",
"settlement": {
"actualDstAmount": "990000",
"relay": {
"status": "success",
"metadata": {
"currencyOut": {
"amount": "990000"
}
}
}
},
"fee": {},
"type": "swap",
"payload": {
"expectedDstAmount": "990000"
},
"metadata": {
"srcToken": {
"chainId": {},
"address": {},
"symbol": {},
"name": {},
"decimals": {},
"metadata": {}
},
"dstToken": {
"chainId": {},
"address": {},
"symbol": {},
"name": {},
"decimals": {},
"metadata": {}
}
}
},
"depositTxs": [
{
"orderId": "5392f7a7-d472-4d6b-9848-bd07117fb82d",
"chain": 8453,
"from": "0xa7539e73700B1726aBA29526606442A491Ef5747",
"txHash": "0x60ece99a645201668d20db6775a6b3d30967433ff0750b356cdad46d3e13f9c8",
"amount": "93354000",
"createdAt": 1752505811105
}
],
"relayTxs": [
{
"orderId": "5392f7a7-d472-4d6b-9848-bd07117fb82d",
"chain": 8453,
"txHash": "0x9df917e14bb089f74763d1d2662761d75c97a5a068b8a9e411c3d384c9c40d19",
"status": "pending",
"createdAt": 1752505817654
}
],
"executeTx": {
"orderId": "5392f7a7-d472-4d6b-9848-bd07117fb82d",
"chain": 8453,
"txHash": "0x1234567890abcdef1234567890abcdef12345678",
"createdAt": 1752505820000,
"status": "success"
},
"refundTxs": [
{
"orderId": "5392f7a7-d472-4d6b-9848-bd07117fb82d",
"chain": 8453,
"txHash": "0xabcdef1234567890abcdef1234567890abcdef12",
"amount": "93354000",
"status": "success",
"createdAt": 1752505825000
}
],
"points": {
"id": "points_123",
"time": "2025-07-12T19:23:45.000Z",
"userAddress": "0x58241893EF1f86C9fBd8109Cd44Ea961fDb474e1",
"orderId": "5392f7a7-d472-4d6b-9848-bd07117fb82d",
"usdValue": 125.75,
"orderType": "swap",
"multiplier": 1.5,
"points": 100
}
},
"statusCode": 200
}
GET
/orders/{orderId}/comprehensive